- Home
- API Enriched
- Observability
- observability
- GET Certificate Report Detail.
GET Certificate Report Detail.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/certificate-report-detail';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/certificate-report-detail \ --header 'Authorization: <Authorization>'Returns the certificate report detail.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Request namespace.
Responses
Section titled “Responses”A successful response.
Response of certificate report detail.
object
Entries in certificate report detail response.
Entry in certificate report detail response.
object
Certificate common name.
Certificate issuer.
Certificate expiration time in timestamp format for associated HTTP monitor.
Monitor labels.
Monitor name.
Region
Region provider.
Examplegenerated
{ "entries": [ { "cert_common_name": "example", "cert_issuer": "example", "certificate_expiry_time": "example", "monitor_labels": "example", "monitor_name": "example", "region": "example", "region_provider": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example